{% extends 'base.html.twig' %}

{% block title %}Course - {{ course.name }}{% endblock %}

{# На странице курса выводим название, описание, список уроков (ссылками на страницы уроков) в соответствии с заданным порядком
и действия (вернуться к списку, редактировать, удалить, добавить урок). Каждый урок в списке представлен названием-ссылкой на страницу урока.
#}

{% block body %}
    <section class="text-center container">
        <div class="row py-lg-3">
            <div class="col-lg-6 col-md-8 mx-auto">
                <h1 class="fw-light">Курс "{{ course.name }}"</h1>
                <p class="lead text-muted">
                    {{ course.description }}
                </p>
                <div class="btn-group">
                    <a href="{{ path('course_index') }}" class="btn btn-secondary my-2">back to list</a>
                    <a href="{{ path('lesson_new', { course: course.id }) }}" class="btn btn-success my-2">Add lesson</a>
                </div>
                {{ include('course/_delete_form.html.twig') }}
            </div>
        </div>
    </section>
    <div class="album py-5 bg-light">
        <div class="container">
            <div class="row row-cols-1 row-cols-sm-2 row-cols-md-3 g-3">
                {% if lessons|length > 0 %}
                    {% for lesson in lessons %}
                        <div class="col">
                            <div class="card shadow-sm">
                                <div class="card-title">
                                    <h4 class="font-weight-light mb-0">
                                        <a href="{{ path('lesson_show', { id: lesson.id }) }}">{{ lesson.name }}</a>
                                    </h4>
                                </div>
                                <div class="d-flex justify-content-between align-items-center">
                                    <div class="btn-group">
                                        <a href="{{ path('lesson_edit', {id: lesson.id, course: course.id}) }}" class="btn btn-success">Редактировать</a>
                                        <a href="{{ path('lesson_delete', {id: lesson.id}) }}" class="btn btn-danger">Удалить</a>
                                    </div>
                                </div>
                            </div>
                        </div>
                    {% endfor %}

                    {% if (previous >= 0) or (next < lessons|length) %}
                    {% endif %}
                {% else %}
                    <div class="text-center">No lessons.</div>
                {% endif %}
            </div>
            {% if lessons|length > 0 %}
                <div class="row row-cols-1 row-cols-sm-2 row-cols-md-3 g-3">
                    <nav>
                        <ul class="pagination">
                            {% if previous >= 0 %}
                                <li class="page-item">
                                    <a class="page-link" href="{{ path('course_show', { id: course.id, offset: previous }) }}">Previous</a>
                                </li>
                            {% endif %}
                            {% if next < lessons|length %}
                                <li class="page-item">
                                    <a class="page-link" href="{{ path('course_show', { id: course.id, offset: next }) }}">Next</a>
                                </li>
                            {% endif %}
                        </ul>
                    </nav>
                </div>
            {% endif %}
        </div>
    </div>
{% endblock %}